Skip to main content
GET
/
api
/
v1
/
saved-views
Get Saved Views
curl --request GET \
  --url https://api.athenahq.ai/api/v1/saved-views \
  --header 'x-api-key: <api-key>'
{
  "saved_views": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Branded queries — last 30 days",
      "icon": "star",
      "website_id": "987e6543-e21b-12d3-a456-426614174000",
      "user_id": "456e7890-e89b-12d3-a456-426614174000",
      "filters": {},
      "created_at": "2026-04-01T10:30:00.000Z",
      "updated_at": "2026-04-15T12:00:00.000Z",
      "created_by": {
        "id": "<string>",
        "email": "jsmith@example.com",
        "first_name": "<string>",
        "last_name": "<string>",
        "display_name": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.athenahq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. You can create one here.

Query Parameters

website_id
string<uuid>
required

The ID of the website to retrieve saved views for

Response

Successful response with list of saved views

saved_views
object[]
required